bcr_test_module:
  module_path: ""
  matrix:
    platform:
      - "macos_arm64"
      - "ubuntu2004"
      # # TODO: https://github.com/bazelbuild/rules_rust/issues/2009
      # - "windows"
    bazel: ["7.x", "8.x"]
  tasks:
    run_tests:
      name: "Run test module"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - --override_module=rules_rust=
      test_flags:
        - --override_module=rules_rust=
      test_targets:
        - "//..."
